# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "arcbox-oci"
version = "0.1.6"
authors = [
    "ArcBox Labs <team@arcbox.dev>",
    "AprilNEA <dev@aprilnea.me> (https://aprilnea.me)",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "OCI runtime specification support for ArcBox"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/arcboxlabs/arcbox"

[features]
default = []

[lib]
name = "arcbox_oci"
path = "src/lib.rs"

[[test]]
name = "integration"
path = "tests/integration.rs"

[dependencies.arcbox-error]
version = "0.1.5"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.tracing]
version = "0.1"

[dependencies.uuid]
version = "1"
features = [
    "v4",
    "serde",
]

[dev-dependencies.tempfile]
version = "3"

[dev-dependencies.tokio]
version = "1"
features = [
    "full",
    "tracing",
    "test-util",
]

[lints.clippy]
cast_lossless = "allow"
cast_possible_truncation = "allow"
cast_precision_loss = "allow"
cast_sign_loss = "allow"
default_trait_access = "allow"
derive_partial_eq_without_eq = "allow"
doc_markdown = "allow"
if_not_else = "allow"
items_after_statements = "allow"
manual_let_else = "allow"
match_same_arms = "allow"
missing_const_for_fn = "allow"
missing_errors_doc = "allow"
missing_panics_doc = "allow"
module_name_repetitions = "allow"
must_use_candidate = "allow"
needless_pass_by_value = "allow"
option_if_let_else = "allow"
redundant_closure_for_method_calls = "allow"
redundant_else = "allow"
return_self_not_must_use = "allow"
significant_drop_tightening = "allow"
similar_names = "allow"
single_match_else = "allow"
struct_excessive_bools = "allow"
too_many_lines = "allow"
uninlined_format_args = "allow"
unreadable_literal = "allow"
unused_async = "allow"
unused_self = "allow"
wildcard_imports = "allow"

[lints.clippy.nursery]
level = "warn"
priority = -1

[lints.clippy.pedantic]
level = "warn"
priority = -1

[lints.rust]
